<template>
  <div class="simple-text" :class="{ 'is-primary': type === 'primary' }">
    {{ text || value }}
  </div>
</template>

<script>
export default {
  props: {
    value: {
      type: [String, Number],
      default: null,
    },
    type: {
      type: String,
      default: '',
    },
    text: {
      type: [String, Number],
      default: null,
    },
  },
}
</script>

<style lang="scss" scoped>
.simple-text {
  display: inline-block;
  &.is-primary {
    color: $primary-color;
  }
}
</style>
